package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BWwwGkmc;
import com.ruoyi.syzy.dto.GkmcTreeDTO;

/**
 * 高考名词Service接口
 * 
 * @author mingxue
 * @date 2021-08-19
 */
public interface IBWwwGkmcService {
    /**
     * 查询高考名词
     * 
     * @param id 高考名词ID
     * @return 高考名词
     */
    public BWwwGkmc selectBWwwGkmcById(Long id);

    /**
     * @param id
     * @return
     */
    public BWwwGkmc info(Long id);

    /**
     * 查询高考名词列表
     * 
     * @param bWwwGkmc 高考名词
     * @return 高考名词集合
     */
    public List<BWwwGkmc> selectBWwwGkmcList(BWwwGkmc bWwwGkmc);

    /**
     * @return
     */
    public List<GkmcTreeDTO> all();

    /**
     * 新增高考名词
     * 
     * @param bWwwGkmc 高考名词
     * @return 结果
     */
    public int insertBWwwGkmc(BWwwGkmc bWwwGkmc);

    /**
     * 修改高考名词
     * 
     * @param bWwwGkmc 高考名词
     * @return 结果
     */
    public int updateBWwwGkmc(BWwwGkmc bWwwGkmc);

    /**
     * 批量删除高考名词
     * 
     * @param ids 需要删除的高考名词ID
     * @return 结果
     */
    public int deleteBWwwGkmcByIds(Long[] ids);

    /**
     * 删除高考名词信息
     * 
     * @param id 高考名词ID
     * @return 结果
     */
    public int deleteBWwwGkmcById(Long id);

}
